#
# spec file for package rubygem-rouge
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rouge
Version:        4.2.0
Release:        1.5
%define mod_name rouge
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
URL:            http://rouge.jneen.net/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A pure-ruby colorizer based on pygments
License:        BSD-2-Clause OR MIT
PreReq:         update-alternatives

%description
Rouge aims to a be a simple, easy-to-extend drop-in replacement for pygments.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="LICENSE" \
  -f

%gem_packages

%changelog
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- 4.2.0:
  This release introduce 2 new levers: Code Owners and Svelte.  In addition, we have also made some improvements across BPF, Dart, Elixir, Groovy, Python and Xoji lexer. Thank you for all the wonderful contributors ❤️ Happy lexing!
  * *Full Changelog**: https://github.com/rouge-ruby/rouge/compare/v4.1.3...v4.2.0
  4.1.3:
  This release brings some improvements on IRB, XQuery, TypeSCript, HCL and Terraform Lexer. Thank you for all our wonderful contributors.
  * *Full Changelog**: https://github.com/rouge-ruby/rouge/compare/v4.1.2...v4.1.3
  4.1.2:
  This small release includes some bug fixes across Wollok and Python lexer.
  * *Full Changelog**: https://github.com/rouge-ruby/rouge/compare/v4.1.1...v4.1.2
  4.1.1:
  This release introduces a number of bug fixes and enhancements across Dart, Dot, JavaScript, Liquid, Mosel, OpenEdge, PHP, Python, Ruby, Rush and Shell lexer. Thank you to everyone who has contributed to this release. Happy Lexing!
  4.1.0:
  Welcome to the first release of 2023! This release introduces a new lexer, Cisco IOS, and many fixes and enhancements across C#, CPP, JavaScript, PHP, Python and YAML lexer. We also address an issue with handling long paths in Windows and support a new dark variant of the GitHub theme.
  Thank you to everyone who has contributed to this release. It is wonderful to see some first-time contributors. May all your wishes come true in 2023!
  * *Full Changelog**: https://github.com/rouge-ruby/rouge/compare/v4.0.1...v4.1.0
  4.0.1:
  This release introduces a number of updates and fixes across Coq, Gherkin, HTTP, Java, JavaScript, LLVM, Powershell, Praat, SystemD, Vala and YAML lexer.
  Thanks to all the contributors who help make Rouge better. On behalf of the Rouge maintainers, we wish you a season full of joy and magic and a bright New Year.
  * *Full Changelog**: https://github.com/rouge-ruby/rouge/compare/v4.0.0...v4.0.1
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 4.0.0
  no changelog found
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.30.0
  no changelog found
* Thu Jun 16 2022 malcolmlewis@opensuse.org
  updated to version 3.29.0
  no changelog found
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.28.0
  no changelog found
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 3.27.0
  no changelog found
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 3.26.0
  no changelog found
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 3.23.0
  no changelog found
* Thu May  7 2020 Stephan Kulow <coolo@suse.com>
- updated to version 3.18.0
  no changelog found
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 3.15.0
  no changelog found
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 3.6.0
  no changelog found
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 3.3.0
  no changelog found
* Wed Sep  5 2018 coolo@suse.com
- updated to version 3.2.1
  no changelog found
* Thu Feb  8 2018 factory-auto@kulow.org
- updated to version 3.1.1
  no changelog found
* Tue Jan  9 2018 coolo@suse.com
- updated to version 3.1.0
  no changelog found
* Wed Oct 11 2017 coolo@suse.com
- updated to version 3.0.0
  no changelog found
* Mon Sep 11 2017 coolo@suse.com
- updated to version 2.2.1
  no changelog found
* Thu Aug  3 2017 coolo@suse.com
- updated to version 2.1.1
  no changelog found
* Tue Jun 13 2017 coolo@suse.com
- updated to version 2.1.0
  no changelog found
* Fri Nov 18 2016 coolo@suse.com
- updated to version 2.0.7
  no changelog found
* Thu Sep  8 2016 coolo@suse.com
- updated to version 2.0.6
  no changelog found
* Wed Jul 20 2016 coolo@suse.com
- updated to version 2.0.5
  no changelog found
* Fri Jul 15 2016 coolo@suse.com
- updated to version 2.0.3
  no changelog found
* Sat Jul  9 2016 coolo@suse.com
- initial package
